Customer or Lead list
curl --request POST \
--url https://api.birdeye.com/resources/v1/contact/details \
--header 'Content-Type: application/json' \
--data '
{
"sources": [
"api",
"dashboard",
"facebook",
"integration",
"sftp",
"bulkupload",
"webchat",
"crmimport",
"other",
"referral",
"voicecall",
"text",
"email",
"google"
],
"startDateUtc": "10/01/2020",
"endDateUtc": "11/01/2021",
"contactType": "customer",
"businessId": 158629168202762,
"page": 0,
"size": 100
}
'import requests
url = "https://api.birdeye.com/resources/v1/contact/details"
payload = {
"sources": ["api", "dashboard", "facebook", "integration", "sftp", "bulkupload", "webchat", "crmimport", "other", "referral", "voicecall", "text", "email", "google"],
"startDateUtc": "10/01/2020",
"endDateUtc": "11/01/2021",
"contactType": "customer",
"businessId": 158629168202762,
"page": 0,
"size": 100
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
sources: [
'api',
'dashboard',
'facebook',
'integration',
'sftp',
'bulkupload',
'webchat',
'crmimport',
'other',
'referral',
'voicecall',
'text',
'email',
'google'
],
startDateUtc: '10/01/2020',
endDateUtc: '11/01/2021',
contactType: 'customer',
businessId: 158629168202762,
page: 0,
size: 100
})
};
fetch('https://api.birdeye.com/resources/v1/contact/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 0,
"size": 100,
"totalPages": 310,
"totalCount": 30983,
"contacts": [
{
"firstName": "Dummy1F",
"lastName": "Dummy1L",
"email": "sam@gmail.com",
"phone": "xxx-xxx-xxxx",
"created": "2021-01-06T22:25:12.000+0000",
"contactType": "customer",
"source": "facebook",
"mappings": [
{
"businessId": 123456789909,
"customerId": 2341
},
{
"businessId": 123456789910,
"customerId": 2342
}
]
},
{
"firstName": "Dummy2F",
"lastName": "Dummy2L",
"email": "samuel@gmail.com",
"phone": "",
"created": "2021-01-06T22:06:41.000+0000",
"contactType": "lead",
"source": "webchat",
"mappings": [
{
"businessId": 123456789909,
"customerId": 2343
}
]
}
]
}{
"code": 2348,
"message": "Max window size allowed is 60000 for a filter selection"
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Contact
Customer or Lead List
POST
/
v1
/
contact
/
details
Customer or Lead list
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Query Parameters
If tag data is required send true, default value is false.
If custom fields data is required send true, default is false.
Body
application/json
Start date in format mm/dd/yyyy.
End date in format mm/dd/yyyy.
Business number of the location, when enterprise number is provided, then fetch data for all locations.
Page number to request.
Number of records per page, max is 5000.
Source of the customer/lead. Possible values are api,dashboard,facebook,integration,sftp,bulkupload,webchat,crmimport,other,referral,voicecall,text,email,google.
Possible values are "lead", "customer". If blank then all contact types are returned.

